package com.bankaudit.dto.process;

public class RatingProcessParameterDto {
	
	Integer legalEntityCode;
	String rmCode;
	String paramCode;
	String paramName;
	String paramDesc;
	String paramDimension;
	String paramMesaurementType;
	String paramBasis;
	String paramCalcType;
	double paramWeightage;
	String input01;
	String input02;
	String input03;
	String input04;
	String input05;
	String input06;
	String input07;
	String input08;
	String input09;
	String input10;
	String input11;
	String input12;
	String input13;
	String input14;
	String input15;
	boolean calculation;
	String formula;
	String formulaDesc;
	String categoryCode;
	String categorySubCode;
	
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getRmCode() {
		return rmCode;
	}
	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}
	public String getParamCode() {
		return paramCode;
	}
	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}
	public String getParamName() {
		return paramName;
	}
	public void setParamName(String paramName) {
		this.paramName = paramName;
	}
	public String getParamDesc() {
		return paramDesc;
	}
	public void setParamDesc(String paramDesc) {
		this.paramDesc = paramDesc;
	}
	public String getParamDimension() {
		return paramDimension;
	}
	public void setParamDimension(String paramDimension) {
		this.paramDimension = paramDimension;
	}
	public String getParamMesaurementType() {
		return paramMesaurementType;
	}
	public void setParamMesaurementType(String paramMesaurementType) {
		this.paramMesaurementType = paramMesaurementType;
	}
	public String getParamBasis() {
		return paramBasis;
	}
	public void setParamBasis(String paramBasis) {
		this.paramBasis = paramBasis;
	}
	public String getParamCalcType() {
		return paramCalcType;
	}
	public void setParamCalcType(String paramCalcType) {
		this.paramCalcType = paramCalcType;
	}
	public double getParamWeightage() {
		return paramWeightage;
	}
	public void setParamWeightage(double paramWeightage) {
		this.paramWeightage = paramWeightage;
	}
	public String getInput01() {
		return input01;
	}
	public void setInput01(String input01) {
		this.input01 = input01;
	}
	public String getInput02() {
		return input02;
	}
	public void setInput02(String input02) {
		this.input02 = input02;
	}
	public String getInput03() {
		return input03;
	}
	public void setInput03(String input03) {
		this.input03 = input03;
	}
	public String getInput04() {
		return input04;
	}
	public void setInput04(String input04) {
		this.input04 = input04;
	}
	public String getInput05() {
		return input05;
	}
	public void setInput05(String input05) {
		this.input05 = input05;
	}
	public String getInput06() {
		return input06;
	}
	public void setInput06(String input06) {
		this.input06 = input06;
	}
	public String getInput07() {
		return input07;
	}
	public void setInput07(String input07) {
		this.input07 = input07;
	}
	public String getInput08() {
		return input08;
	}
	public void setInput08(String input08) {
		this.input08 = input08;
	}
	public String getInput09() {
		return input09;
	}
	public void setInput09(String input09) {
		this.input09 = input09;
	}
	public String getInput10() {
		return input10;
	}
	public void setInput10(String input10) {
		this.input10 = input10;
	}
	public String getInput11() {
		return input11;
	}
	public void setInput11(String input11) {
		this.input11 = input11;
	}
	public String getInput12() {
		return input12;
	}
	public void setInput12(String input12) {
		this.input12 = input12;
	}
	public String getInput13() {
		return input13;
	}
	public void setInput13(String input13) {
		this.input13 = input13;
	}
	public String getInput14() {
		return input14;
	}
	public void setInput14(String input14) {
		this.input14 = input14;
	}
	public String getInput15() {
		return input15;
	}
	public void setInput15(String input15) {
		this.input15 = input15;
	}
	public boolean isCalculation() {
		return calculation;
	}
	public void setCalculation(boolean calculation) {
		this.calculation = calculation;
	}
	public String getFormula() {
		return formula;
	}
	public void setFormula(String formula) {
		this.formula = formula;
	}
	public String getFormulaDesc() {
		return formulaDesc;
	}
	public void setFormulaDesc(String formulaDesc) {
		this.formulaDesc = formulaDesc;
	}
	public String getCategoryCode() {
		return categoryCode;
	}
	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}
	public String getCategorySubCode() {
		return categorySubCode;
	}
	public void setCategorySubCode(String categorySubCode) {
		this.categorySubCode = categorySubCode;
	}
		
}
